## openjdk-11 11.0.4+11

=== nss/lib/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifndef USE_SYSTEM_ZLIB
ZLIB_SRCDIR = zlib  # Add the zlib directory to DIRS.
endif

ifndef MOZILLA_CLIENT
ifndef NSS_USE_SYSTEM_SQLITE
SQLITE_SRCDIR = sqlite  # Add the sqlite directory to DIRS.
endif
endif

ifndef MOZILLA_CLIENT
ifeq ($(OS_ARCH),Linux)
SYSINIT_SRCDIR = sysinit  # Add the sysinit directory to DIRS.
endif
endif

ifndef NSS_DISABLE_DBM
DBM_SRCDIR = dbm  # Add the dbm directory to DIRS.
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

ifeq ($(NSS_BUILD_WITHOUT_SOFTOKEN),1)
# Not included when building nss without softoken
UTIL_SRCDIR =
FREEBL_SRCDIR =
SOFTOKEN_SRCDIR =
else
# default is to include all
UTIL_SRCDIR = util
FREEBL_SRCDIR = freebl
SOFTOKEN_SRCDIR = softoken
endif

=== src/utils/hsdis/Makefile ===
#
# Copyright (c) 2008, 2017, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#
#

# Single gnu makefile for solaris, linux and windows (windows requires cygwin and mingw)

# Default arch; it is changed below as needed.
ARCH		= i386
OS		= $(shell uname)
AR		= ar

## OS = SunOS ##
ifeq		($(OS),SunOS)
CPU             = $(shell uname -p)
ARCH1=$(CPU:i586=i386)
ARCH=$(ARCH1:i686=i386)
OS		= solaris
CC 		= cc
CFLAGS		+= -KPIC
ifdef LP64
ifeq ($(ARCH),sparc)
ARCH            = sparcv9
endif
ifeq ($(ARCH),i386)
ARCH            = amd64
endif
endif
CFLAGS/sparcv9	+= -xarch=v9
CFLAGS/amd64	+= -m64
CFLAGS		+= $(CFLAGS/$(ARCH))
DLDFLAGS	+= -G
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
LIB_EXT		= .so
else
## OS = Linux ##
ifeq		($(OS),Linux)
ifneq           ($(MINGW),)
LIB_EXT		= .dll
CPPFLAGS += -I$(TARGET_DIR)/include
LDFLAGS += -L$(TARGET_DIR)/lib
OS=windows
ifneq           ($(findstring x86_64-,$(MINGW)),)
ARCH=amd64
else
ARCH=i386
endif
CC 		= $(MINGW)-gcc
CONFIGURE_ARGS= --host=$(MINGW) --target=$(MINGW)
else   #linux
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH2=$(ARCH1:i686=i386)
ARCH=$(ARCH2:sparc64=sparcv9)
ifdef LP64
CFLAGS/sparcv9	+= -m64
CFLAGS/amd64	+= -m64
CFLAGS/ppc64	+= -m64
CFLAGS/ppc64le  += -m64 -DABI_ELFv2
else
ARCH=$(ARCH2:amd64=i386)
ifneq ($(findstring arm,$(ARCH)),)
ARCH=arm
endif
CFLAGS/i386	+= -m32
CFLAGS/sparc	+= -m32
endif
CFLAGS		+= $(CFLAGS/$(ARCH))
CFLAGS		+= -fPIC
OS		= linux
LIB_EXT		= .so
CC 		= gcc
endif
CFLAGS		+= -O
DLDFLAGS	+= -shared
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
else
## OS = AIX ##
ifeq		($(OS),AIX)
OS              = aix
ARCH            = ppc64
CC              = xlc_r
CFLAGS          += -DAIX -g -qpic=large -q64
CFLAGS/ppc64    += -q64
AR              = ar -X64
DLDFLAGS        += -qmkshrobj -lz
OUTFLAGS        += -o $@
LIB_EXT		= .so
else
## OS = Darwin ##
ifeq ($(OS),Darwin)
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH=$(ARCH1:i686=i386)
ifdef LP64
CFLAGS/sparcv9  += -m64
CFLAGS/amd64    += -m64
else
ARCH=$(ARCH1:amd64=i386)
CFLAGS/i386     += -m32
CFLAGS/sparc    += -m32
endif # LP64
CFLAGS          += $(CFLAGS/$(ARCH))
CFLAGS          += -fPIC
OS              = macosx
LIB_EXT         = .dylib
CC              = gcc
CFLAGS          += -O
# CFLAGS        += -DZ_PREFIX
DLDFLAGS        += -shared
DLDFLAGS        += -lz
LDFLAGS         += -ldl
OUTFLAGS        += -o $@
else
## OS = Windows ##
OS		= windows
CC		= gcc
CFLAGS		+=  /nologo /MD /W3 /WX /O2 /Fo$(@:.dll=.obj) /Gi-
CFLAGS		+= LIBARCH=\"$(LIBARCH)\"
DLDFLAGS	+= /dll /subsystem:windows /incremental:no \
			/export:decode_instruction
OUTFLAGS	+= /link /out:$@
LIB_EXT		= .dll
endif   # Darwin
endif   # AIX
endif	# Linux
endif	# SunOS

LIBARCH		= $(ARCH)
ifdef		LP64
LIBARCH64/sparc	= sparcv9
LIBARCH64/i386	= amd64
LIBARCH64	= $(LIBARCH64/$(ARCH))
ifneq		($(LIBARCH64),)
LIBARCH		= $(LIBARCH64)
endif   # LIBARCH64/$(ARCH)
endif   # LP64

JDKARCH=$(LIBARCH:i386=i586)

ifeq            ($(BINUTILS),)
# Pop all the way out of the workspace to look for binutils.
# ...You probably want to override this setting.
BINUTILSDIR	= $(shell cd build/binutils;pwd)
else
BINUTILSDIR	= $(shell cd $(BINUTILS);pwd)
endif

CPPFLAGS	+= -I$(BINUTILSDIR)/include -I$(BINUTILSDIR)/bfd -I$(TARGET_DIR)/bfd
CPPFLAGS	+= -DLIBARCH_$(LIBARCH) -DLIBARCH=\"$(LIBARCH)\" -DLIB_EXT=\"$(LIB_EXT)\"

TARGET_DIR	= build/$(OS)-$(JDKARCH)
TARGET		= $(TARGET_DIR)/hsdis-$(LIBARCH)$(LIB_EXT)

SOURCE		= hsdis.c

LIBRARIES =	$(TARGET_DIR)/bfd/libbfd.a \
		$(TARGET_DIR)/opcodes/libopcodes.a \
		$(TARGET_DIR)/libiberty/libiberty.a

DEMO_TARGET	= $(TARGET_DIR)/hsdis-demo
DEMO_SOURCE	= hsdis-demo.c

.PHONY:  all clean demo both

all:  $(TARGET)

both: all all64

%64:
	$(MAKE) LP64=1 ${@:%64=%}

demo: $(TARGET) $(DEMO_TARGET)

$(LIBRARIES): $(TARGET_DIR) $(TARGET_DIR)/Makefile
	if [ ! -f $@ ]; then cd $(TARGET_DIR); make all-opcodes; fi

$(TARGET_DIR)/Makefile:
	(cd $(TARGET_DIR); CC=$(CC) CFLAGS="$(CFLAGS)" AR="$(AR)" $(BINUTILSDIR)/configure --disable-nls $(CONFIGURE_ARGS))

$(TARGET): $(SOURCE) $(LIBS) $(LIBRARIES) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) $(CPPFLAGS) $(CFLAGS) $(SOURCE) $(DLDFLAGS) $(LIBRARIES)

$(DEMO_TARGET): $(DEMO_SOURCE) $(TARGET) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) -DTARGET_DIR=\"$(TARGET_DIR)\" $(CPPFLAGS) -g $(CFLAGS/$(ARCH)) $(DEMO_SOURCE) $(LDFLAGS)

$(TARGET_DIR):
	[ -d $@ ] || mkdir -p $@

clean:
	rm -rf $(TARGET_DIR)

=== nss/tests/pkcs11/netscape/suites/security/ssl/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#include $(CORE_DEPTH)/$(MODULE)/config/config.mk

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################

#include $(CORE_DEPTH)/$(MODULE)/config/rules.mk
include $(CORE_DEPTH)/nss/cmd/platlibs.mk
include $(CORE_DEPTH)/nss/cmd/platrules.mk

#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== debian/changelog ===
openjdk-11 (11.0.4+11-1) unstable; urgency=high

  * OpenJDK 11.0.4+11 build (release).
    - S8212328, CVE-2019-2762: Exceptional throw cases.
    - S8213431, CVE-2019-2766: Improve file protocol handling.
    - S8213432, CVE-2019-2769: Better copies of CopiesList.
    - S8216381, CVE-2019-2786: More limited privilege usage.
    - S8217563: Improve realm maintenance.
    - S8218863: Better endpoint checks.
    - S8218873: Improve JSSE endpoint checking.
    - S8218876, CVE-2019-7317: Improve PNG support options.
    - S8219775: Certificate validation improvements.
    - S8220517: Enhanced GIF support.
    - S8221345, CVE-2019-2818: Better Poly1305 support.
    - S8221518, CVE-2019-2816: Normalize normalization.
    - S8222678, CVE-2019-2821: Improve TLS negotiation.
  * Fix more build issues for Ubuntu precise builds.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 02:28:36 +0200

openjdk-11 (11.0.4+10-1) unstable; urgency=medium

  * OpenJDK 11.0.4+10 build (early access).
  * Add riscv64 support for zero (Ed Nevill).
  * Fix build dependencies for Ubuntu precise builds.
  * Fix dependency generation on the libjpeg runtime. Closes: #927965.
  * Drop dependency on transitional libgl1-mesa-glx package. Closes: #930611.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2019 14:39:16 +0200

openjdk-11 (11.0.4+9-1) unstable; urgency=medium

  * OpenJDK 11.0.4+9 build (early access).
  * Add another break for libequinox-osgi-java (<< 3.9.1). Closes: #931115.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jun 2019 13:51:07 +0200

openjdk-11 (11.0.4+8-1) unstable; urgency=medium

  * OpenJDK 11.0.4+8 build (early access).
  * Apply patch for JDK-8225716.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jun 2019 17:58:57 +0200

openjdk-11 (11.0.4+6-1) experimental; urgency=medium

  * OpenJDK 11.0.4+6 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jun 2019 07:28:57 +0200

=== debian/control ===
Source: openjdk-11
Section: java
Priority: optional
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, time, fastjar (>= 2:0.96-0ubuntu2),
  jtreg <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
  autoconf, automake, autotools-dev, ant, ant-optional,
  g++-8 <!cross>,
  openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
  libffi-dev,
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
  libnss3-dev (>= 2:3.17.1),
  openjdk-11-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.4.0
Homepage: http://openjdk.java.net/
Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-11
Vcs-Browser: https://code.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/+ref/openjdk-11

Package: openjdk-11-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-11-demo, openjdk-11-source
Provides: java-sdk-headless, java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: ${jrehl:Breaks}
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-11-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  openjdk-11-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-11-demo, openjdk-11-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${xandsound:Depends}, ${dlopenjre:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Provides: java-runtime, java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-11-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-11-source
Architecture: all
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-11-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Suggests: openjdk-11-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-11-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-11-jre (= ${binary:Version})
Suggests: openjdk-11-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-11-jre-zero
Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
#jtreg_archs	+= armel
#jtreg_archs	+= mips mipsel mips64 mips64el

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
zbootcycle_build =
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

# FIXME: change that after the buster freeze for ea builds
is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1111,1109)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1104,1103)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.11.0
shortver	= 11
v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
# FIXME. currently v_upstream like 11~4
v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
# that should be the package version ...

ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
endif
#ifneq ($(PKGVERSION),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
#endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
# see Debian #920161
ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(distrel), precise trusty))
  with_check = disabled for $(distrel)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(hotspot_archs))
endif

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations
export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)

dpkg_buildflags_zero = \

=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, jtreg, testng, gcc
Restrictions: allow-stderr, skippable

Tests: jdk
Depends: @, jtreg, testng, gcc, xfwm4, xvfb, dbus-x11
Restrictions: allow-stderr, skippable

## openjdk-11 11.0.6%2B10

=== debian/rules ===
--- 
+++ 
@@ -149,9 +149,11 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-ifneq (,$(filter $(distrel), precise trusty))
+# no jtreg backport yet
+ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif
+with_check = no
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(filter $(distrel), precise trusty))
@@ -174,8 +176,13 @@
 
 altzero_archs = $(hotspot_archs)
 ifneq (,$(filter $(distrel),trusty))
-  altzero_archs := $(filter-out arm64, $(hotspot_archs))
-endif
+  altzero_archs := $(filter-out arm64, $(altzero_archs))
+endif
+# ftbfs in 11.0.5+bx, and 13+17
+altzero_archs := $(filter-out armhf, $(altzero_archs))
+
+# FIXME: Zero currently FTBFS on sparc64 with gcc-9
+altzero_archs := $(filter-out sparc64, $(altzero_archs))
 
 ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
   altzero_archs =
@@ -215,7 +222,3 @@
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations
-export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)
-
-dpkg_buildflags_zero = \

## openjdk-11 11.0.6+10

=== debian/changelog ===
openjdk-11 (11.0.6+10-1~deb10u1) buster-security; urgency=medium

  * Rebuild for Buster

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 17 Jan 2020 00:09:03 +0000

openjdk-11 (11.0.6+10-1) unstable; urgency=high

  * OpenJDK 11.0.6+10 build (release).
    - S8220598: Malformed copyright year range in a few files in java.base.
    - S8224909, CVE-2020-2583: Unlink Set of LinkedHashSets.
    - S8225261: Better method resolutions.
    - S8225279: Better XRender interpolation.
    - S8226352, CVE-2020-2590: Improve Kerberos interop capabilities.
    - S8227758: More valid PKIX processing.
    - S8227816: More Colorful ICC profiles.
    - S8228548, CVE-2020-2593: Normalize normalization for all.
    - S8229728: Implement negotiation parameters.
    - S8229951, CVE-2020-2601: Better Ticket Granting Services.
    - S8230279: Improve Pack200 file reading.
    - S8230318: Better trust store usage.
    - S8230967: Improve Registry support of clients.
    - S8231139: Improved keystore support.
    - S8231422, CVE-2020-2604: Better serial filter handling.
    - S8231780, CVE-2020-2655: Better TLS messaging support.
    - S8231790: Provide better FileSystemProviders.
    - S8232419: Improve Registry registration.
    - S8234037, CVE-2020-2654: Improve Object Identifier Processing.
  * Disable zero on sparc64 (Adrian Glaubitz). Closes: #942030.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Closes: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Closes: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Closes: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Closes: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 01:09:36 +0100

openjdk-11 (11.0.6+7-1) unstable; urgency=medium

  * OpenJDK 11.0.5+7 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Dec 2019 14:52:21 +0100

openjdk-11 (11.0.5+10-2) unstable; urgency=medium

  * Fix the jtreg consistency check when building without jtreg.
  * Don't call dh_strip_nondeterminism when building for older releases.
  * Fix disabling the zero build on arm64 on trusty.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2019 22:04:30 +0200

openjdk-11 (11.0.5+10-1) unstable; urgency=high

  * OpenJDK 11.0.5+10 build (release).
    - S8209901: Canonical file handling.
    - S8213429, CVE-2019-2933: Windows file handling redux.
    - S8218573, CVE-2019-2945: Better socket support.
    - S8218877: Help transform transformers.
    - S8219914: Change the environment variable for Java Access Bridge
      logging to have a directory.
    - S8220186: Improve use of font temporary files.
    - S8220302, CVE-2019-2949: Better Kerberos ccache handling.
    - S8221497: Optional Panes in Swing.
    - S8221858, CVE-2019-2958: Build Better Processes.
    - S8222684, CVE-2019-2964: Better support for patterns.
    - S8222690, CVE-2019-2962: Better Glyph Images.
    - S8223163: Better pattern recognition.
    - S8223505, CVE-2019-2973: Better pattern compilation.
    - S8223518, CVE-2019-2975: Unexpected exception in jjs.
    - S8223886: Add in font table referene.
    - S8223892, CVE-2019-2978: Improved handling of jar files.
    - S8224025: Fix for JDK-8220302 is not complete.
    - S8224062, CVE-2019-2977: Improve String index handling.
    - S8224532, CVE-2019-2981: Better Path supports.
    - S8224915, CVE-2019-2983: Better serial attributes.
    - S8225286, CVE-2019-2987: Better rendering of native glyphs.
    - S8225292, CVE-2019-2988: Better Graphics2D drawing.
    - S8225298, CVE-2019-2989: Improve TLS connection support.
    - S8225597, CVE-2019-2992: Enhance font glyph mapping.
    - S8226765, CVE-2019-2999: Commentary on Javadoc comments.
    - S8227601: Better collection of references.
    - S8228825, CVE-2019-2894: Enhance ECDSA operations.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Oct 2019 10:41:31 +0200

openjdk-11 (11.0.5+9-1) unstable; urgency=medium

  * OpenJDK 11.0.5+9 build (early access).
  * Bump standards version.
  * Use dh_strip_nondeterminism (Emmanuel Bourg). Closes: #933389.
  * Fix 8230708, server build on sparc64 (Adrian Glaubitz). Closes: #939565.
  * Fix FTBFS with DEB_BUILD_PROFILES=nocheck (Helmut Grohne). Closes: #939521.
  * Add more breaks to the openjdk-11-jre-headless package. Closes: #935624.
  * Fix debug and src symlinks. Closes: #893134, #910694, #910696.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2019 11:00:49 +0200

openjdk-11 (11.0.5+6-2) unstable; urgency=medium

  * Fix 8230708, build failure on sparc64 (Adrian Glaubitz).
  * Disable the zero build on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2019 17:54:18 +0200

openjdk-11 (11.0.5+6-1) unstable; urgency=medium

  * OpenJDK 11.0.5+6 build (early access).

  [ Matthias Klose ]
  * Tighten dependency on jtreg.
  * Build using GCC 9 on recent development releases.
  * Refresh patches.

  [ Tiago Stürmer Daitx ]
  * Properly generate Breaks: rules for bionic (fix typo).
  * Remove libgtk-3-dev from build-deps: libgtk-3-dev is not actually
    required, package builds fine without it; libgtk2.0-0 or libgtk-3-0
    should be explicitly declared instead in bdeps and tests;
    libxrandr-dev should be explicitly added as it is required and was
    being included due to libgtk-3-dev dependency.
  * Set minimum dependency on jtreg based on testsuite requirements.
  * Fail during pre-build if installed jtreg version is lower then
    the minimum required version.
  * Improve and fix build tests and autopkgtests:
    - Depend on default-jre-headless so jtreg will use the
      JRE from /usr/default-java; remove JT_JAVA exports as it
      no longer needs to be set.
    - Update debian/tests/hotspot,jdk,langtools to ignore
      jtreg-autopkgtest.sh return code.
    - Create debian/tests/jtdiff-autopkgtest.in as it depends
      on debian/rules variables.
    - debian/tests/jtreg-autopkgtest.sh:


=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, time, fastjar (>= 2:0.96-0ubuntu2),
-  jtreg <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
+  jtreg (>= 4.2-b13-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-8 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0,
   libffi-dev,
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
   libnss3-dev (>= 2:3.17.1),
   openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://openjdk.java.net/
 Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-11
 Vcs-Browser: https://code.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/+ref/openjdk-11
@@ -152,7 +152,7 @@
  This package contains the debugging symbols.
 
 Package: openjdk-11-jre-zero
-Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 arm64 ppc64 ppc64el s390x kfreebsd-amd64 kfreebsd-i386
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${dpkg:Depends}

=== debian/rules ===
--- 
+++ 
@@ -153,7 +153,6 @@
 ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif
-with_check = no
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(filter $(distrel), precise trusty))

=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg (>= 4.2-b13-0~), testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg (>= 4.2-b13-0~), testng, g++, xfwm4, xvfb, dbus-x11
Restrictions: allow-stderr, skippable, flaky

## openjdk-11 11.0.9.2%2B1

=== debian/changelog ===
openjdk-11 (11.0.9.2+1-1~deb10u2) unstable; urgency=medium

  * update

 -- OpenJDK Team <openjdk@lists.launchpad.net>  Wed, 02 Jun 2021 10:50:11 +0800

openjdk-11 (11.0.9.2+1-1~deb10u2) buster; urgency=medium

  * update changlog

 -- tony mancill <tmancill@debian.org>  Mon, 31 May 2021 16:11:37 -0800

openjdk-11 (11.0.9.1+1-1~deb10u2) buster; urgency=medium

  * Rebuild for Buster (Closes: #975728) 
  * Disable tests for this upload.

 -- tony mancill <tmancill@debian.org>  Sat, 28 Nov 2020 09:42:37 -0800

openjdk-11 (11.0.9.1+1-1~deb10u1) buster; urgency=medium

  * Rebuild for Buster (Closes: #975728)

 -- tony mancill <tmancill@debian.org>  Wed, 25 Nov 2020 08:55:48 -0800

openjdk-11 (11.0.9.1+1-1) unstable; urgency=medium

  * OpenJDK 11.0.9.1+1 build (release).
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 14:32:42 +0100

openjdk-11 (11.0.9+11-1) unstable; urgency=medium

  * OpenJDK 11.0.9+11 build (release).
  * Security fixes:
    - JDK-8233624: Enhance JNI linkage
    - JDK-8236196: Improve string pooling
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing
    - JDK-8240124: Better VM Interning
    - JDK-8241114, CVE-2020-14792: Better range handling
    - JDK-8242680, CVE-2020-14796: Improved URI Support
    - JDK-8242685, CVE-2020-14797: Better Path Validation
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support
    - JDK-8243302: Advanced class supports
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports
    - JDK-8244479: Further constrain certificates
    - JDK-8244955: Additional Fix for JDK-8240124
    - JDK-8245407: Enhance zoning of times
    - JDK-8245412: Better class definitions
    - JDK-8245417: Improve certificate chain handling
    - JDK-8248574: Improve jpeg processing
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit
    - JDK-8253019: Enhanced JPEG decoding

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - copy apport hook to source_$(PKGSOURCE).py, fixes apport on
      Ubuntu where source name is openjdk-lts instead of openjdk-11. 
  * Refresh patches.

  [ Matthias Klose ]
  * Don't run the jdk tests as an autopkg test, taking too long.
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
    Closes: #944738.
  * Build with GCC 10 in current development versions. Closes: #972288.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2020 19:38:16 +0200

openjdk-11 (11.0.8+10-1) unstable; urgency=high

  * OpenJDK 11.0.8+10 build (release).
  * Security fixes:
    - JDK-8233239, CVE-2020-14562: Enhance TIFF support
    - JDK-8236867, CVE-2020-14573: Enhance Graal interface handling
    - JDK-8237117, CVE-2020-14556: Better ForkJoinPool behavior
    - JDK-8237592, CVE-2020-14577: Enhance certificate verification
    - JDK-8238002, CVE-2020-14581: Better matrix operations
    - JDK-8238920, CVE-2020-14583: Better Buffer support
    - JDK-8240119, CVE-2020-14593: Less Affine Transformations
    - JDK-8242136, CVE-2020-14621: Better XML namespace handling
    - JDK-8230613: Better ASCII conversions
    - JDK-8231800: Better listing of arrays
    - JDK-8232014: Expand DTD support
    - JDK-8233234: Better Zip Naming
    - JDK-8233255: Better Swing Buttons
    - JDK-8234032: Improve basic calendar services
    - JDK-8234042: Better factory production of certificates
    - JDK-8234418: Better parsing with CertificateFactory
    - JDK-8234836: Improve serialization handling
    - JDK-8236191: Enhance OID processing
    - JDK-8238013: Enhance String writing
    - JDK-8238804: Enhance key handling process
    - JDK-8238842: AIOOBE in GIFImageReader.initializeStringTable
    - JDK-8238843: Enhanced font handing
    - JDK-8238925: Enhance WAV file playback
    - JDK-8240482: Improved WAV file playback
    - JDK-8241379: Update JCEKS support
    - JDK-8241522: Manifest improved jar headers redux

  [ Tiago Stürmer Daitx ]
  * d/p/default-jvm-cfg.diff: updated patch.
  * d/p/8214571.diff, d/p/8228407.diff: applied by upstream, removed patches.

  [ Matthias Klose ]
  * Don't try to run autopkg tests on armel, mipsel, mips64el.
  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Prepare to Build using GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2020 14:26:43 +0200

openjdk-11 (11.0.7+10-3) unstable; urgency=high

  * Backport the fix for JDK-8214571, -Xdoclint of array serialField gives
    "error: array type not allowed here". Introduced with 11.0.7.
  * Enable running the testsuite on release architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Apr 2020 14:40:58 +0200

openjdk-11 (11.0.7+10-2) unstable; urgency=high

  * Backport the fix for 8228407, JVM crashes with shared archive file mismatch.
  * Enable again bootcycle build for all hotspot architectures.
  * Build again with -march=zEC12 on Ubuntu/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Apr 2020 16:03:23 +0200

openjdk-11 (11.0.7+10-1) unstable; urgency=high

  * OpenJDK 11.0.7+10 build (release).
  * Security fixes
    - JDK-8223898, CVE-2020-2754: Forward references to Nashorn
    - JDK-8223904, CVE-2020-2755: Improve Nashorn matching
    - JDK-8224541, CVE-2020-2756: Better mapping of serial ENUMs
    - JDK-8224549, CVE-2020-2757: Less Blocking Array Queues
    - JDK-8225603: Enhancement for big integers
    - JDK-8226346: Build better binary builders
    - JDK-8227467: Better class method invocations
    - JDK-8227542: Manifest improved jar headers
    - JDK-8229733: TLS message handling improvements
    - JDK-8231415, CVE-2020-2773: Better signatures in XML
    - JDK-8231785: Improved socket permissions
    - JDK-8232424, CVE-2020-2778: More constrained algorithms
    - JDK-8232581, CVE-2020-2767: Improve TLS verification


=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
+# Uncomment this to turn on verbose mode  . 
 #export DH_VERBOSE=1
 
 unexport LANG LC_ALL
@@ -28,6 +28,9 @@
 DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
 
+OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
+STRIP := $(DEB_HOST_GNU_TYPE)-strip
+
 PATH := $(CURDIR)/bin:$(PATH)
 export PATH
 
@@ -48,12 +51,10 @@
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
-#jtreg_archs	+= armel
-#jtreg_archs	+= mips mipsel mips64 mips64el
+jtreg_archs	+= armel mipsel mips64el
 
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
-bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
 zbootcycle_build =
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
   bootcycle_build =
@@ -70,7 +71,6 @@
   is_default = yes
 endif
 
-# FIXME: change that after the buster freeze for ea builds
 is_upstream_release = yes
 
 srcdir		= .
@@ -158,6 +158,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
+with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
